Redmine - Patch #17745

Issues page sidebar - Link to issues page
Description

You might be wondering why anyone wants to have a link to the issues page in the sidebar of the issues page, but the reason is as
follows:

When you are in the issues view of a project, you can set a filter and - permission provided - switch between different views (Gantt,
Calendar, Issues) without losing the filter settings by using the respective links in the projects menu:
But if you are in the "global" issues view (via the "View all issues" link on the projects overview page) you don't have the projects
menu available as you are in no project.

In the "global" issues view, you only can only switch between the views using the links in the sidebar. There you have "filter-keeping"
links to the Gantt view and to the Calendar view (again, permission provided). But what you do not have there is a link which
brings you from the Gantt view or the Calendar view back to the issues view without losing the filter settings! Therefore |
created this patch, to also have a "filter-keeping" link to the issues view in the sidebar:
Related issues:
Related to Redmine - Feature #5920: Unify and improve cross-project views layout Closed 2010-07-21

History

#1 - 2014-09-24 11:26 - Toshi MARUYAMA
- Category set to Ul

#2 - 2017-03-06 13:27 - Go MAEDA

- Related to Feature #5920: Unify and improve cross-project views layout added

#3 - 2017-03-06 13:28 - Go MAEDA

- Status changed from New to Closed

"cross-project menu" has been implemented by #5920 for upcoming 3.4.0.
You will be able to see a project menu in /projects page.
